develooper Front page | perl.perl5.porters | Postings from December 2007

Re: 5.11 (or 12) and strict

Thread Previous | Thread Next
From:
Abigail
Date:
December 27, 2007 09:04
Subject:
Re: 5.11 (or 12) and strict
Message ID:
20071227170433.GD18299@abigail.be
On Thu, Dec 27, 2007 at 09:52:07AM +0200, Gabor Szabo wrote:
> Steffen Mueller wrote:
> > "use 5.10.0;" already auto-imports feature.pm and loads the 5.10
> > specific features.
> >
> > How about having "use 5.11.0;" (or 5.12.0) automatically import strict
> > along with the 5.10+5.11 feature set? Naturally, the -E switch for
> > one-liners should *not* do that.
> 
> +++++++++++++
> 
> Will adding use warnings have to wait till 5.14?

Considering the eagerness people are willing to add warning for anything
that falls outside their narrow band of accepted "coding standard", I 
expect to have stopped using warnings long before 5.12 is final.

So I rather not have warnings standard. Ever.



Abigail

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About